Index: doc/src/sgml/backup.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/backup.sgml,v
retrieving revision 2.93
diff -c -r2.93 backup.sgml
*** doc/src/sgml/backup.sgml	4 Nov 2006 18:20:27 -0000	2.93
--- doc/src/sgml/backup.sgml	6 Nov 2006 08:21:22 -0000
***************
*** 599,605 ****
      In writing your archive command, you should assume that the file names to
      be archived may be up to 64 characters long and may contain any
      combination of ASCII letters, digits, and dots.  It is not necessary to
!     remember the original full path (<literal>%p</>) but it is necessary to
      remember the file name (<literal>%f</>).
     </para>
  
--- 599,605 ----
      In writing your archive command, you should assume that the file names to
      be archived may be up to 64 characters long and may contain any
      combination of ASCII letters, digits, and dots.  It is not necessary to
!     remember the original relative path (<literal>%p</>) but it is necessary to
      remember the file name (<literal>%f</>).
     </para>
  
Index: src/backend/access/transam/xlog.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/access/transam/xlog.c,v
retrieving revision 1.252
diff -c -r1.252 xlog.c
*** src/backend/access/transam/xlog.c	18 Oct 2006 22:44:11 -0000	1.252
--- src/backend/access/transam/xlog.c	6 Nov 2006 08:21:31 -0000
***************
*** 2417,2423 ****
  			switch (sp[1])
  			{
  				case 'p':
! 					/* %p: full path of target file */
  					sp++;
  					StrNCpy(dp, xlogpath, endp - dp);
  					make_native_path(dp);
--- 2417,2423 ----
  			switch (sp[1])
  			{
  				case 'p':
! 					/* %p: relative path of target file */
  					sp++;
  					StrNCpy(dp, xlogpath, endp - dp);
  					make_native_path(dp);
Index: src/backend/postmaster/pgarch.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/postmaster/pgarch.c,v
retrieving revision 1.25
diff -c -r1.25 pgarch.c
*** src/backend/postmaster/pgarch.c	7 Aug 2006 17:41:42 -0000	1.25
--- src/backend/postmaster/pgarch.c	6 Nov 2006 08:21:33 -0000
***************
*** 417,423 ****
  			switch (sp[1])
  			{
  				case 'p':
! 					/* %p: full path of source file */
  					sp++;
  					StrNCpy(dp, pathname, endp - dp);
  					make_native_path(dp);
--- 417,423 ----
  			switch (sp[1])
  			{
  				case 'p':
! 					/* %p: relative path of source file */
  					sp++;
  					StrNCpy(dp, pathname, endp - dp);
  					make_native_path(dp);
